/*
 PPUtile.h
  included by PPU.c

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef PPUT_MMC5SP
	uint8	xs = X1, ys = (scantileline+MMC5SplitY)&0x1F;

	if (ys>0x1D)
		ys-= 0x1E;
#endif
	if (X1>=2)
	{
		uint32	v;

		v = PPU_LUT1to4[pshift[1]>>xdownshift&0xFF], v+= v;
		v|= PPU_LUT1to4[*pshift>>xdownshift&0xFF];
		tilespr32(P,PALRAM,v|PPU_TileLUT[XOffset|(atlatch<<3)]);
		P+= 8;
	}

	{
		uint8	*C;
		register unsigned cc; /*uint8*/
		uint32	vadr;
	#ifdef PPUT_MMC5SP
		vadr = (MMC5ExRAM[xs|(ys<<5)]<<4)+(vofs&7);
	#else
		register unsigned int	zz = RefreshAddr&0x1F;

		C = vnapage[RefreshAddr>>10&3];
		vadr = (C[RefreshAddr&0x3FF]<<4)+vofs; //Fetch name table byte
	#endif

	#ifdef PPUT_HOOK
		PPU_hook(0x2000|(RefreshAddr&0xFFF));
	#endif

	#ifdef PPUT_MMC5SP
		cc = MMC5ExRAM[0x3C0+(xs>>2)+((ys+ys)&0x38)];
		cc = ((cc>>(xs&2)+(ys&2)*2)&3)*4;
	#elif defined(PPUT_MMC5CHR1)
		cc = (MMC5ExRAM[RefreshAddr&0x3FF]&0xC0)>>4;
	#else
		cc = C[0x3C0+(zz>>2)+((RefreshAddr&0x380)>>4)]; /*Fetch attr. table byte*/
		cc = ((cc>>(zz&2)+(RefreshAddr>>4&4))&3)*4;
	#endif
		atlatch = (atlatch>>2)|cc;

	#ifdef PPUT_MMC5SP
		C = MMC5VROMPtr+vadr;
		C+= (MMC5SplitBank&0x3F&MMC5VROMMask)<<12;
	#elif defined(PPUT_MMC5CHR1)
		C = MMC5VROMPtr+(vadr&0xFFF);
		C+= (MMC5ExRAM[RefreshAddr&0x3FF]&0x3F&MMC5VROMMask)<<12;
		C+= (MMC5CHRHigh&3)<<18; //FCEUX's 2009.06.11 update for kuja_killer
	#elif defined(PPUT_MMC5)
		C = MMC5BGVRAMADR(vadr);
	#else
		C = VRAMADR(vadr);
	#endif

	#ifdef PPUT_HOOK
		PPU_hook(vadr);
	#endif

		*pshift = (*pshift<<8)|*C;
		pshift[1] = (pshift[1]<<8)|C[8];
	}

	if ((~RefreshAddr&0x1F)==0)
		RefreshAddr^= 0x41F;
	else
		++RefreshAddr;

#ifdef PPUT_HOOK
	PPU_hook(0x2000|(RefreshAddr&0xFFF));
#endif
