/*
 macos/macfceu.r
  application resources in Rez

  Created: 2008.06.16
  Revised: 2010.04.11
*/

#define WIND_RezTemplateVersion		1

#include "Processes.r"
#include "Dialogs.r"
#include "MacWindows.r"
#include "Menus.r"
#include "MacTypes.r"
#include "Icons.r"
#include "Controls.r"

#include "shell.h"
#include "shellmenus.h"
#include "macdialogs.h"
#include "macinput.h"
#include "macvideo.h"

#define plainItem			noIcon, noKey, noMark, plain

/* process */

#ifndef NO_SIZE
 #define applicationProcessFlags \
  reserved, acceptSuspendResumeEvents, reserved, canBackground, \
  notMultiFinderAware, backgroundAndForeground, dontGetFrontClicks, ignoreChildDiedEvents, \
  is32BitCompatible, isHighLevelEventAware, onlyLocalHLEvents, notStationeryAware, \
  dontUseTextEditServices, notDisplayManagerAware, reserved, reserved
#endif

#ifdef applicationProcessFlags
resource 'SIZE' (-1)
{
	applicationProcessFlags,
	4000*1024, 2640*1024 /* prefered size, bare minimum size */
};

resource 'SIZE' (1)
{
	applicationProcessFlags,
	3200*1024, 2960*1024 /* prefered size, minimum size */
};

resource 'SIZE' (0)
{
	applicationProcessFlags,
	3200*1024, 2960*1024 /* prefered size, minimum size */
};
#endif

/* dialogs */

resource 'ALRT' (alertid_fatal,"Fatal")
{
	{  90,  88, 210, 420}, alertid_fatal,
	silentStages,
	alertPositionMainScreen
};
resource 'DITL' (alertid_fatal)
{
	{
		{  84, 206, 106, 284}, Button{enabled,"Quit"},
		{   8,  48,  72, 324}, StaticText{disabled,"^0 ^1\n^2"},
		{   8,   8,  40,  40}, Icon{disabled, 0}
	}
};

resource 'DLOG' (dialogid_error,"Error")
{
	{  90,  88, 210, 424}, movableDBoxProc,
	invisible, noGoAway, 'err!', dialogid_error,
	"",
	alertPositionMainScreen
};
resource 'DITL' (dialogid_error,purgeable)
{
	{
		{  84, 208, 106, 286}, Button{enabled,"OK"},
		{   8,  48,  72, 328}, StaticText{disabled,"Place blather here."},
		{ 104,  12, 120, 100}, StaticText{disabled,"^0"},
		{   8,   8,  40,  40}, Icon{disabled, 0}
	}
};

resource 'DLOG' (dialogid_note,"Note",purgeable)
{
	{ 100, 100, 252, 504}, movableDBoxProc,
	invisible, noGoAway, 'note', dialogid_note,
	"",
	centerParentWindowScreen
};
resource 'DITL' (dialogid_note)
{
	{
		{ 116, 272, 138, 342}, Button{enabled,"OK"},
		{   8,  44, 104, 398}, StaticText{disabled,""},
		{ 104,  12, 120, 100}, StaticText{disabled,"^0"},
		{   8,   8,  40,  40}, Icon{disabled, 1}
	}
};
resource 'dctb' (dialogid_note)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

resource 'DLOG' (dialogid_accept,"Accept",purgeable)
{
	{ 100, 100, 252, 520}, movableDBoxProc,
	invisible, noGoAway, 'acpt', dialogid_accept,
	"",
	centerParentWindowScreen
};
resource 'DITL' (dialogid_accept)
{
	{
		{116, 280, 138, 370}, Button{enabled,"Accept"},
		{116, 180, 138, 264}, Button{enabled,"Cancel"},
		{8, 48, 104, 412}, StaticText{disabled,""},
		{104, 12, 120, 100}, StaticText{disabled,"^0"},
		{8, 8, 40, 40}, Icon{disabled, 1}
	}
};
resource 'dctb' (dialogid_accept)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

resource 'DLOG' (dialogid_confirm,"Confirm")
{
	{ 100, 100, 232, 520}, movableDBoxProc,
	invisible, noGoAway, 'cfrm', dialogid_confirm,
	"",
	centerParentWindowScreen
};
resource 'DITL' (dialogid_confirm)
{
	{
		{  98, 282, 120, 362}, Button{enabled,"Yes"},
		{  98, 180, 120, 266}, Button{enabled,"No"},
		{   8,  48,  88, 412}, StaticText{disabled,""},
		{  88,  12, 104, 100}, StaticText{disabled,"^0"},
		{   8,   8,  40,  40}, Icon{disabled, 2}
	}
};
resource 'dctb' (dialogid_confirm)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

resource 'DLOG' (dialogid_about,"About",purgeable)
{
	{ 100, 100, 252, 436}, noGrowDocProc,
	invisible, goAway, 'abou', dialogid_about,
	"About this program...",
	centerParentWindowScreen
};
resource 'DITL' (dialogid_about)
{
	{
		{ 116, 192, 138, 272}, Button{enabled,"OK"},
		{   8,   8, 104, 328}, StaticText{disabled,""},
		{ 104,  12, 120, 100}, StaticText{disabled,"^0"},
	}
};
resource 'dctb' (dialogid_about)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

resource 'DLOG' (dialogid_value,"Value")
{
	{ 100, 100, 168, 484}, movableDBoxProc,
	invisible, noGoAway, 'valu', dialogid_value,
	"",
	centerParentWindowScreen
};
resource 'DITL' (dialogid_value)
{
	{
		{  34, 272, 56, 352}, Button{enabled,"Okay"},
		{  34, 170, 56, 256}, Button{enabled,"Cancel"},
		{   8,  8,  24, 376}, EditText{enabled,""},
	}
};
resource 'dctb' (dialogid_value)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

#if 0
resource 'DITL' (dialogid_getfilepath,"failed attempt (well, i quit)")
{
	{ /* closebox is for cancel */
		{ 176, 266, 198, 338}, Button{enabled,"Open"},
		{  32,   8, 160, 328}, UserItem{enabled},
		{   8,  12,  24, 204}, StaticText{enabled,""},
		{ 200,  48, 220, 224}, UserItem{enabled}, /* 4 */
		{ 175,  24, 191, 248}, EditText{enabled,"Jar-jar sucked big-EE time"},
		{   8, 212,  24, 228}, Icon{disabled,80},
		{   8, 212,  24, 276}, UserItem{enabled}
	}
};
resource 'DLOG' (dialogid_getfilepath,"getfilepath")
{
	{  64,  64, 300, 416}, noGrowDocProc, invisible, goAway,
	'gfpd', dialogid_getfilepath,
	"",
	alertPositionParentWindowScreen
};
resource 'dctb' (dialogid_getfilepath)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

resource 'ICON' (80)
{
	$"0000 0000 0000 0000 0006 0000 000B 0000"
	$"0013 8000 0027 C000 004F E000 009F F000"
	$"013F F800 027F FC00 04FF FE00 09FF FF00"
	$"1BFF FF80 3FFF FFC0 003F C000 003F C000"
	$"003F C000 003F C000 003F C000 003F C000"
	$"003F C000 003F C000 003F C000 003F C000"
	$"003F C000 003F C0"
};

data 'ICON' (81)
{
	$"0C00 0020 1300 0020 70C0 0020 5C30 0050"
	$"470C E38E 41C3 1850 4070 0620 401C 0220"
	$"400C 0320 4006 0100 4003 B080 4000 FC40"
	$"4000 0740 4000 0140 4000 0340 4000 01C0"
	$"4000 03C0 4000 03C0 4000 03C0 4000 03C0"
	$"6000 03C0 3800 03C0 0E00 03C0 0380 03C0"
	$"00E0 03C0 0038 03E8 000E 03D4 0003 83EA"
	$"0000 E3D5 0000 3BEA 0000 0FD4 0000 03A0"
};

resource 'cicn' (80)
{
	8, {0, 0, 16, 16}, 4,
	$"0300 0780 0FC0 1FE0 3FF0 7FF8 0780 0780"
	$"0780 0780 0780 0780 0000 0000 0000 0000",
	$"0300 0780 0FC0 1FE0 3FF0 7FF8 0780 0780"
	$"0780 0780 0780 0780 0000 0000 0000 0000",
	{
		65535, 65535, 65535,
		4369, 4369, 4369,
		8738, 8738, 8738,
		26214, 26214, 26214,
		43690, 43690, 43690, /* 4 */
		17476, 17476, 17476,
		21845, 21845, 21845,
		34952, 34952, 34952
	},
	$"0000 0033 0000 0000 0000 0343 1000 0000"
	$"0000 3473 3100 0000 0003 4733 3310 0000"
	$"0037 7636 6661 0000 0333 2236 2222 1000"
	$"0000 0136 2000 0000 0000 0136 2000 0000"
	$"0000 0136 2000 0000 0000 0136 2000 0000"
	$"0000 0155 2000 0000 0000 0111 1000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
};

data 'cicn' (81)
{
	$"0000 0000 8010 0000 0000 0020 0020 0000"
	$"0000 0000 0000 0048 0000 0048 0000 0000"
	$"0004 0001 0004 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0004 0000 0000 0020 0020"
	$"0000 0000 0004 0000 0000 0020 0020 0000"
	$"0000 0C00 0040 1F00 0040 7FC0 0040 7FF0"
	$"00E0 7FFC F1F0 7FFF FFF8 7FFF FFFF 7FFF"
	$"FFF8 7FFF FFF0 7FFF FFE0 7FFF FFC0 7FFF"
	$"FFC0 7FFF FFC0 7FFF FFC0 7FFF FFC0 7FFF"
	$"FFC0 7FFF FFC0 7FFF FFC0 7FFF FFC0 7FFF"
	$"FFC0 7FFF FFC0 3FFF FFC0 0FFF FFC0 03FF"
	$"FFC0 00FF FFC0 003F FFE8 000F FFD4 0003"
	$"FFEA 0000 FFD5 0000 3FEA 0000 0FD4 0000"
	$"03A8 0C00 0020 1300 0020 70C0 0020 5C30"
	$"0050 470C E38E 41C3 1850 4070 0620 401C"
	$"0220 400C 0320 4006 0100 4003 B080 4000"
	$"FC40 4000 0740 4000 0140 4000 0340 4000"
	$"01C0 4000 03C0 4000 03C0 4000 03C0 4000"
	$"03C0 6000 03C0 3800 03C0 0E00 03C0 0380"
	$"03C0 00E0 03C0 0038 03E8 000E 03D4 0003"
	$"83EA 0000 E3D5 0000 3BEA 0000 0FD4 0000"
	$"03A0 0000 0000 0000 0009 0000 CCCC CCCC"
	$"FFFF 0001 9999 9999 FFFF 0002 6666 6666"
	$"CCCC 0003 3333 3333 6666 0004 8888 8888"
	$"8888 0005 7777 7777 7777 0006 4444 4444"
	$"4444 0007 FFFF 6666 3333 0008 FFFF FFFF"
	$"0000 000F 0000 0000 0000 6666 66FF FFFF"
	$"FFFF FFFF FFFF 7777 7777 2222 21F6 FFFF"
	$"FFFF FFFF FFFF 7777 7777 FFF6 1101 F6FF"
	$"FFFF FFFF FFFF 7777 7777 FF12 6611 01F6"
	$"FFFF FFFF FFF7 7777 7777 FF00 1266 1101"
	$"F666 6FF6 6667 7877 7777 FF00 0012 6611"
	$"01FF 2016 6677 8887 7777 FF00 0000 1266"
	$"1101 1117 7778 8888 7777 FF00 0000 0012"
	$"6211 1111 1177 8887 7777 FF00 0000 0000"
	$"2611 1111 1117 7877 7777 FF00 0000 0000"
	$"0351 1111 1111 7777 7777 FF00 0000 0000"
	$"0126 6125 1111 7777 7777 FF00 0000 0000"
	$"0001 2652 6611 1777 7777 FF00 0000 0000"
	$"0000 0000 1232 1777 7777 FF00 0000 0000"
	$"0000 0000 0013 1FFF FFFF FF00 0000 0000"
	$"0000 0000 002F 4FFF FFFF FF00 0000 0000"
	$"0000 0000 001F 2FFF FFFF FF00 0000 0000"
	$"0000 0000 002F 2FFF FFFF FF00 0000 0000"
	$"0000 0000 002F 2FFF FFFF FF00 0000 0000"
	$"0000 0000 002F 2FFF FFFF FF00 0000 0000"
	$"0000 0000 002F 2FFF FFFF FF21 0000 0000"
	$"0000 0000 002F 2FFF FFFF 666F 2100 0000"
	$"0000 0000 002F 2FFF FFFF 6666 6F21 0000"
	$"0000 0000 002F 2FFF FFFF 6666 666F 2100"
	$"0000 0000 002F 2FFF FFFF 6666 6666 6F21"
	$"0000 0000 002F 2FFF FFFF 6666 6666 666F"
	$"2100 0000 002F 2F66 6666 6666 6666 6666"
	$"6F21 0000 002F 2FF6 6666 6666 6666 6666"
	$"666F 2100 002F 2FFF 6666 6666 6666 6666"
	$"6666 6F21 002F 2FFF F665 6666 6666 6666"
	$"6666 666F 212F 2FFF 6666 6666 6666 6666"
	$"6666 6666 6F2F 2FFF F666 FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 6666"
};
#endif

resource 'DITL' (dialogid_customget,"custard")
{
	{
		{ 137, 250, 157, 332}, Button{enabled,"Open"},
		{ 106, 250, 126, 332}, Button{enabled,"Cancel"},
		{-999,-999,-999,-999}, UserItem{enabled},
		{  10, 232,  26, 344}, UserItem{enabled}, /* 4 */
		{  34, 250,  54, 332}, Button{enabled,"Eject"},
		{  62, 250,  82, 332}, Button{enabled,"Desktop"},
		{  31,  10, 161, 228}, UserItem{enabled},
		{   8,  10,  27, 228}, UserItem{enabled}, /* 8 */
		{  93, 249,  94, 333}, Picture{disabled,11},
		{ 398, 265, 418, 345}, UserItem{disabled},
		{ 168, 250, 188, 332}, Button{enabled,"Select"},
		{ 246, 117, 261, 260}, UserItem{enabled}, /* 12 */
		{ 170,  10, 189, 202}, Control{enabled,popupmenuid_myfilter},
		{   0,   0,   0,   0}, HelpItem{disabled,HMScanhdlg{-6042}},
		{   0,   0,   0,   0}, HelpItem{disabled,HMScanhdlg{12439}}, /* 15 */
	}
};
resource 'DLOG' (dialogid_customget,"custard")
{
	{ 100, 100, 300, 452}, movableDBoxProc, invisible, noGoAway,
	'csta', dialogid_customget, "",
	noAutoCenter
};
resource 'dctb' (dialogid_customget)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

resource 'DITL' (dialogid_customput,"custer")
{
	{
		{ 161, 264, 181, 346}, Button{enabled,"Save"},
		{ 130, 264, 150, 346}, Button{enabled,"Cancel"},
		{-999,-999,-999,-999}, UserItem{enabled},
		{   8, 248,  24, 350}, UserItem{enabled}, /* 4 */
		{  32, 264,  52, 346}, Button{enabled,"Eject"},
		{  60, 264,  80, 346}, Button{enabled,"Desktop"},
		{  29,  10, 127, 243}, UserItem{enabled},
		{   6,  10,  25, 243}, UserItem{enabled}, /* 8 */
		{ 119, 262, 120, 347}, Picture{disabled,11},
		{ 156,  13, 172, 240}, EditText{enabled,""},
		{ 136,  13, 152, 225}, StaticText{disabled,"Save as:"},
		{  88, 265, 108, 345}, UserItem{disabled}, /* 12 */
		{ 186,  10, 205, 230}, Control{enabled,popupmenuid_myfilter},
		{   0,   0,   0,   0}, HelpItem{disabled,HMScanhdlg{-6043}},
		{   0,   0,   0,   0}, HelpItem{disabled,HMScanhdlg{12440}}, /* 15 */
	}
};
resource 'DLOG' (dialogid_customput,"custer")
{
	{ 100, 100, 316, 458}, movableDBoxProc, invisible, noGoAway,
	'cste', dialogid_customput, "",
	noAutoCenter
};
resource 'dctb' (dialogid_customput)
{
	{
		0, 0xEEEE, 0xEEEE, 0xEEEE, /* content - light */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x8888, 0x8888, 0x8888, /* hilite - gray */
	};
};

resource 'CNTL' (popupmenuid_myfilter,"Filter")
{ /* min/max for popupMenu CNTLs are titleWidth/menuID (should be in Controls.r!) */
	{ 186,  10, 205, 232}, 0, visible, 40, popupmenuid_myfilter,
	popupMenuCDEFproc, 0, "Type"
};
resource 'MENU' (popupmenuid_myfilter,"Filter")
{
	popupmenuid_myfilter, textMenuProc, allEnabled, enabled, "Filter",
	{
	}
};

/* menus */

#ifndef NO_PROGRAM_MENUS
resource 'MENU' (menuid_apple,"Apple")
{
	menuid_apple, textMenuProc, allEnabled, enabled, apple,
	{
		"About MacFCEU...", plainItem
	}
};

resource 'MENU' (menuid_file,"File")
{
	menuid_file, textMenuProc, 0x15B, enabled, "File",
	{
		"Load Game...", noIcon, "O", noMark, plain,
		"Close", noIcon, "W", noMark, plain,
		"-", plainItem,
		"Save State...", noIcon, "S", noMark, plain,
		"Load State...", noIcon, "E", noMark, plain,
		"-", plainItem,
		"Record Audio...", noIcon, "D", noMark, plain,
		"-", plainItem,
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (menuid_edit,"Edit")
{
	menuid_edit, textMenuProc, 0x80, enabled, "Edit",
	{
		"Undo", noIcon, "Z", noMark, plain,
		"-", plainItem,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", plainItem,
		"-", plainItem,
		"Message Log", noIcon, "M", noMark, plain, /* placed here */
	}
};

resource 'MENU' (menuid_emulator,"Emulator")
{
	menuid_emulator, textMenuProc, allEnabled, enabled, "Emulator",
	{
		"Reset", noIcon, "R", noMark, plain,
		"Power", noIcon, "P", noMark, plain,
		"-", plainItem,
		"Debug  F15", plainItem,
		"Step     Ent", plainItem,
	}
};

resource 'MENU' (menuid_special,"Special")
{
	menuid_special, textMenuProc, 0x1BDF, enabled, "Special",
	{
		"Sound Quality", noIcon, hierarchicalMenu, submenuchr_sound, plain,
		"Sound Volume", noIcon, hierarchicalMenu, submenuchr_volume, plain,
		"Sound Channels", noIcon, hierarchicalMenu, submenuchr_channels, plain,
		"Video", noIcon, hierarchicalMenu, submenuchr_video, plain,
		"Speed", noIcon, hierarchicalMenu, submenuchr_speed, plain,
		"-", plainItem,
		"PAL Rate Fix", plainItem,
		"Game PAL", noIcon, "A", noMark, plain,
		"Game Genie", plainItem, /*was cmd-G; 2010.03.30*/
		"Background", noIcon, hierarchicalMenu, submenuchr_background, plain,
		"-", plainItem,
	/*	"Directories...", plainItem,*/
		"Input...", noIcon, "I", noMark, plain,
		"Palette...", noIcon, "T", noMark, plain,
		"Netplay Console...", noIcon, "N", noMark, plain,
	}
};

resource 'MENU' (submenuid_sound,"Sound Quality")
{
	submenuid_sound, textMenuProc, allEnabled, enabled, "Sound",
	{
		"Lowest (8192Hz)", plainItem,
		"Lower (11025Hz)", plainItem,
		"Low (15000Hz)", noIcon, "L", noMark, plain,
		"Default (22050Hz)", noIcon, "K", noMark, plain,
		"Moderate (36000Hz)", noIcon, "J", noMark, plain,
		"Good (48000Hz)", plainItem,
		"Better (64000Hz)", noIcon, "U", noMark, plain,
		"Other...", plainItem, /* modify the Config file to test high-quality */
	/*	"CD-Audio-1 (44100Hz)", plainItem, // high-quality's somehow broken
		"High-1 (48000Hz)", noIcon, "H", noMark, plain,
		"Best-1 (96000Hz)", plainItem,
		"CD-Audio-2 (44100Hz)", plainItem,
		"High-2 (48000Hz)", plainItem,
		"Best-2 (96000Hz)", noIcon, "Y", noMark, plain, */
	}
};

resource 'MENU' (submenuid_volume,"Sound Volume")
{
	submenuid_volume, textMenuProc, allEnabled, enabled, "Volume",
	{
		"Off", noIcon, "0", noMark, plain,
		"10%", plainItem,
		"20%", plainItem,
		"30%", plainItem,
		"40%", plainItem,
		"50%", plainItem,
		"60%", plainItem,
		"70%", plainItem,
		"80%", plainItem,
		"90%", plainItem,
		"100%", noIcon, "1", noMark, plain,
		"110%", plainItem,
		"120%", plainItem,
		"130%", plainItem,
		"140%", plainItem,
		"150%", plainItem,
		"Other...", plainItem
	}
};

resource 'MENU' (submenuid_channels,"Sound Channels")
{
	submenuid_channels, textMenuProc, allEnabled, enabled, "Channels",
	{
		"Square 1", plainItem,
		"Square 2", plainItem,
		"Triangle", plainItem,
		"Noise", plainItem,
		"DMC (7 bit PCM)", plainItem,
		"-", plainItem,
		"Sq/Rect Amp...", plainItem,
	}
};

resource 'MENU' (submenuid_video,"Video")
{
	submenuid_video, textMenuProc, allEnabled, enabled, "Video",
	{
		"Fullscreen", noIcon, "F", noMark, plain,
		"2x Scale", plainItem,
		"-", plainItem,
		"Clip Sides", plainItem,
		"No Sprite Limit", plainItem,
		"Refresh Sync", plainItem, /* V[ert]-Blank sync */
		"-", plainItem,
		"Tile View      F1", plainItem,
	}
};

resource 'MENU' (submenuid_speed,"Speed")
{
	submenuid_speed, textMenuProc, allEnabled, enabled, "Speed",
	{
		"50%", plainItem,
		"62.9960525%", plainItem,
		"70.7106781%", plainItem,
		"79.3700526%", plainItem,
		"89.0898718%", plainItem,
		"100%", plainItem,
		"125.992105%", plainItem,
		"158.7401052%", plainItem,
		"178.1797436%", plainItem,
		"200%", plainItem,
		"Other...", plainItem,
	}
};

resource 'MENU' (submenuid_background,"Background")
{
	submenuid_background, textMenuProc, allEnabled, enabled, "Background",
	{
		"Off", plainItem,
		"Full", plainItem,
		"Mute", plainItem,
		"Bg Mute Only", plainItem,
	}
};
#endif

/* windows */

resource 'WIND' (windowid_screen,"Screen",purgeable)
{
	{100, 100, 364, 356}, noGrowDocProc,
	invisible, goAway, 'scrn',
	"",
	staggerParentWindowScreen
};
resource 'wctb' (windowid_screen)
{
	{
		0, 0, 0, 0, /* content - black */
		1, 0, 0, 0, /* frame - black */
		2, 0, 0, 0, /* text - black */
		3, 0x1111, 0x1111, 0x1111, /* hilite - dark */
	};
};

/* version */

#ifndef NO_ICONS
 #include "fceubundle.r"
#endif

#ifndef NO_STRINGS
 #include "macfceustrs.r"
#endif

#ifndef NO_CONFIG
 #include "inputdialog.r"
 #include "palettedialog.r"
#endif

#ifdef VERSION_STR
resource 'vers' (1)
{
	VERSION_NUM>>24&0xFF,VERSION_NUM>>16&0xFF,VERSION_NUM>>8&0xFF,VERSION_NUM&0xFF,
	verUS,
	VERSION_STR,
	VERSION_STR
#if TARGET_API_MAC_CARBON
	", Mac OS Carbon version"
#else
	", Mac OS Classic version"
#endif
};

resource 'vers' (2)
{
	0x00,0x98,0x20,0x13,
	verUS,
	"0.98.13",
	"Based on FCE Ultra"
};
#endif
